<h1 mat-dialog-title>{{data.title || 'Alert'}}</h1>
<div mat-dialog-content>{{data.message}}</div>
<div mat-dialog-actions>
  <button (click)="confirm(true)" color="warn" mat-button>{{ data.confirm || 'Yes' }}</button>
  <button (click)="confirm(false)" mat-button>{{ data.cancel || 'No' }}</button>
</div>
